Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jms.extensions
Interface WLQueueSession

All Superinterfaces:
  QueueSession, Runnable, Session, WLSession

public interface WLQueueSession
extends WLSession, QueueSession

A WLQueueSession provides fields and methods not supported by javax.jms.QueueSession.

See Also:
  `WLSession`, `QueueSession`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.jms.extensions.WLSession
`KEEP_NEW, KEEP_OLD, MULTICAST_NO_ACKNOWLEDGE, NO_ACKNOWLEDGE`

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Methods inherited from interface weblogic.jms.extensions.WLSession
`acknowledge, acknowledge, createXMLMessage, createXMLMessage, createXMLMessage, getMessagesMaximum, getOverrunPolicy, getRedeliveryDelay, setExceptionListener, setMessagesMaximum, setOverrunPolicy, setRedeliveryDelay`

Methods inherited from interface javax.jms.Session
`close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, getTransacted, recover, rollback, run, setMessageListener, unsubscribe`

Methods inherited from interface javax.jms.QueueSession
`createBrowser, createBrowser, createQueue, createReceiver, createReceiver, createSender, createTemporaryQueue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD